Gemini 3.1 Pro Preview
Chat Completions API
gemini-3.1-pro-preview
Chat Completions API
Gemini 3.1 Pro Preview is a Google multimodal reasoning model for complex analysis, coding and agentic workflows. It accepts text and visual inputs, supports long-context work, function calling, structured outputs, code execution and search grounding. This is a preview release; behavior and availability can change before a stable version.
API-методы и структура запроса
Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.
Chat Completions API
POST/v1/chat/completionsПример кода
Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data-raw '{
"model": "gemini-3.1-pro-preview",
"messages": [
{
"role": "user",
"content": "Сколько будет 2 + 2?"
}
]
}'Параметры
Параметры, доступные в API-запросах
Max Completion TokensReasoning EffortResponse FormatStopTemperatureTool ChoiceToolsTop PWeb Search Options